Subject: FW: New Version Notification for draft-bonica-6man-frag-deprecate-02.txt

From: Ronald Bonica <[email-masked]>
Date: Thu, 11 Jul 2013 17:42:20 +0000

Folks,

Thanks to all of you for your many comments on draft-bonica-6man-frag-deprecate. I have posted a new version addressing many, but not all of the comments.

It is clear that this document won't be adopted as a WG item at IETF 87. However, I think that continued analysis is worthwhile, even if the document is never adopted. Currently, we have a problem with fragmentation. If we hash the idea around for a while, we are likely to arrive at some solution, if not the one proposed by this document.

                                         Ron

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, July 11, 2013 1:35 PM
> To: Hagen Paul Pfeifer; Ronald Bonica; Warren Kumari; Randy Bush
> Subject: New Version Notification for draft-bonica-6man-frag-deprecate-
> 02.txt
> 
> 
> A new version of I-D, draft-bonica-6man-frag-deprecate-02.txt
> has been successfully submitted by Ron Bonica and posted to the IETF
> repository.
> 
> Filename:	 draft-bonica-6man-frag-deprecate
> Revision:	 02
> Title:		 IPv6 Fragment Header Deprecated
> Creation date:	 2013-07-11
> Group:		 Individual Submission
> Number of pages: 11
> URL:             http://www.ietf.org/internet-drafts/draft-bonica-6man-
> frag-deprecate-02.txt
> Status:          http://datatracker.ietf.org/doc/draft-bonica-6man-
> frag-deprecate
> Htmlized:        http://tools.ietf.org/html/draft-bonica-6man-frag-
> deprecate-02
> Diff:            http://www.ietf.org/rfcdiff?url2=draft-bonica-6man-
> frag-deprecate-02
> 
> Abstract:
>    This memo deprecates IPv6 fragmentation and the IPv6 fragment
> header.
>    It provides reasons for deprecation and updates RFC 2460.
> 
> 
> 
> 
> 
> The IETF Secretariat
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 12 Jul 2013 08:31:18 +1200

As Ron says, there are open issues and I agree that they need to be
understood.

Also, I think people need to accept that the word "deprecate" is a
very useful one. In a sense it means the same thing as SHOULD NOT
or NOT RECOMMENDED - don't do this unless you have a very good reason,
and be aware of the consequences. Since the consequences in this case
can be complete failure to communicate, this is not an issue the
IETF can duck.

Personally I'm all for the WG adopting the draft sooner rather than
later, even though it needs work.

Regards
   Brian

On 12/07/2013 05:42, Ronald Bonica wrote:
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 15 Jul 2013 22:51:03 +0000

Hi Ron,

I notice that Section 3.5 of the document currently reads:

  "3.5  Tunneling - TBD"

You are welcome to cite the "Fragmentation Revisited" draft in
that section rather than leave it as blank.

Thanks - Fred
[email-masked]

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Ronald Bonica
> Sent: Thursday, July 11, 2013 10:42 AM
> To: [email-masked]
> Subject: FW: New Version Notification for draft-bonica-6man-frag-
> deprecate-02.txt
> 
> Folks,
> 
> Thanks to all of you for your many comments on draft-bonica-6man-frag-
> deprecate. I have posted a new version addressing many, but not all of
> the comments.
> 
> It is clear that this document won't be adopted as a WG item at IETF
> 87. However, I think that continued analysis is worthwhile, even if the
> document is never adopted. Currently, we have a problem with
> fragmentation. If we hash the idea around for a while, we are likely to
> arrive at some solution, if not the one proposed by this document.
> 
>                                          Ron
> 
>